Update email subscriptions
curl --request PUT \
--url https://api.byblend.com/api/v1/notifications/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_codes": [
[
"order.shipped",
"order.delivered"
]
]
}
'import requests
url = "https://api.byblend.com/api/v1/notifications/email"
payload = { "event_codes": [["order.shipped", "order.delivered"]] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({event_codes: [['order.shipped', 'order.delivered']]})
};
fetch('https://api.byblend.com/api/v1/notifications/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"is_active": true,
"subscriptions": [
{
"name": "Order Created",
"description": "Triggered when an order is created",
"event_code": "order.created"
}
]
}Notifications
Update email subscriptions
Update email subscriptions for the current user. Email subscriptions will be delivered to the email specified in the user profile.
PUT
/
api
/
v1
/
notifications
/
email
Update email subscriptions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
List of event codes to subscribe to. Event codes can be retrieved from the /notifications/events endpoint. Pass 'all' for all events.
⌘I